LINUX.ORG.RU

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=956285 — не навсегда, судя по всему. Просто 11 релиз не за горами, и они сочли, что не успеют пофиксить ошибку (как я понял, файл с лицензией не на месте в исходниках). Хотя все равно обидно, пусть и в sid и 12 версии он останется, как и в прошлых.

Vsevolod-linuxoid ★★★★★ ()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)
Ответ на: комментарий от paramon

Я не знаю, я не разработчик. Подозреваю, что им нужно найти, когда и какой файл потерялся, добавить его в исходники на все релизы и платформы, а потом ещё и пересобрать пакеты так же — и это успеть до заморозки testing. Вот и решили, что черт с qbittorrent, хватает и других клиентов. Да и кому очень надо — из snap или flatpak поставят.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от TeopeTuK

В исходниках попался файл с лицензией, не разрешающей модификацию.

Что помешало временно перенести пакет в non-free?

torvn77 ★★★★★ ()
Последнее исправление: torvn77 (всего исправлений: 1)

файл с лицензией не на месте в исходниках

они сочли, что не успеют пофиксить ошибку

Это всё, что нужно знать о разработчиках Debian.

Korchevatel ★★★★★ ()
Ответ на: комментарий от Artamudo

Потому что там какой-то фанатик GTK уговорил выкинуть Qt-оболочку Audacious. При том, что GTK-оболочка менее удобна и разработчики её вроде как похоронили.

anonymous-angler ()
Ответ на: комментарий от anonymous-angler

Да-да, у Дебиана несколько наркоманская политика. Вот только заменить его особо нечем. Нету ничего такого же около-ванильного и железобетонного одновременно.

anonymous-angler ()
Ответ на: комментарий от anonymous-angler

Ну, кроме генты. Которая имеет один огромный (Пусть и терпимый) минус.

anonymous-angler ()
Ответ на: комментарий от anonymous-angler

Например - удалять пакеты, если ничего не решилось за месяц.

Баг-репорт:

Date: Thu, 9 Apr 2020 06:16:45 -0500

I noticed that this package appears to have some issues with debian/copyright.

4 месяца прошло.

gag ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Подозреваю, что им нужно …

Не, там просто сопровождающий проигнорировал баг-репорт лицензионного фанатика/тролля, который поставил флаг serious. Пакеты с critical bug’ами, т.е. с флагом critical, grave, serious не готовы к релизу и не проходят заморозку. Но в Debian сбросить флаг в important, если дело касается лицензии, думаю, не принято.

gag ★★★★★ ()
Ответ на: комментарий от Korchevatel

они сочли, что не успеют пофиксить ошибку

Это всё, что нужно знать о разработчиках Debian.

Слухи они ещё те слухи.

gag ★★★★★ ()
Ответ на: комментарий от anonymous-angler

С момента багрепорта - да. Но разработчики qbittorrent почему-то об этом узнали 11 дней назад.

А откуда же им было об этом узнать. Сообщали в Debian. Сопровождающий мог бы переправить в апстрим, но не сделал этого.

gag ★★★★★ ()
Ответ на: комментарий от anonymous-angler

С момента багрепорта - да. Но разработчики qbittorrent …

И не путайте разработчиков Debian и upstream. Сообщили в Debian, удалили в Debian. Разработчики qbittorrent к этому отношения не имеют.

gag ★★★★★ ()
Ответ на: комментарий от Zhbert

душевное спокойствие гетерогенных разработчиков, они не могут спокойно есть если бинарные пакеты были собраны из сорцов где в hpp файле не кошерная лицензия.

bhfq ★★★★★ ()
Ответ на: комментарий от anonymous-angler

Пакет удаляется не сопровождающим, и причины бага могут быть разными.

gag ★★★★★ ()
Ответ на: комментарий от anonymous-angler

Да-да, у Дебиана несколько наркоманская политика. Вот только заменить его особо нечем. Нету ничего такого же около-ванильного и железобетонного одновременно.

Это дебиан-то около-ванильный? :)

Im_not_a_robot ★★★★★ ()
Ответ на: комментарий от Im_not_a_robot

Но тем не менее в дебиане libzip собран правильно https://salsa.debian.org/debian/libzip/-/blob/master/debian/control#L8 и он не такой кусок мамонта как в убунту, хотя это исключение нежели правило. Прямо сейчас в убунту либзип 1.2.1 собран с libxcrypt - считай нету AES256. Я написал в багтреккер убунты, надеюсь их скила хватит скопипастить пакет из дебиана.

bhfq ★★★★★ ()
Последнее исправление: bhfq (всего исправлений: 1)

Разработчики Debian сочли qBittorrent некошерным и выкинули его из testing-а.

Ну что, мой компьютер с тестингом и фортнайтом^W кьюбеем можно уже выставлять на ебее за десять тыщ баксов?

dogbert ★★★★★ ()
Ответ на: комментарий от anonymous-angler

Можно же просто скачать и запустить AppImage, вот только помойку из системы делать не хочется.

У вас крайне странное представление о помойке. AppImage это (почти) самодостаточный образ, который работает «сам в себе», не распаковываясь в систему, не изменяя и не засоряя ее.

deb пакеты, напротив - это архивы, которые всеми потрохами распаковываются в систему, как раз и создавая помойку. Особенно это касается конфигов в составе пакетов и всяких дроп-инов.

James_Holden ★★ ()
Ответ на: комментарий от Korchevatel

А какое отношение разработчики Debian имеют к лицензии qbittorrent? Сами они ее трогать не имеют права.

Polugnom ★★★★★ ()
Ответ на: комментарий от James_Holden

Это образ, который тащит за собой копии всех зависимостей. При том этого жирдяя ещё нужно и руками обновлять. Вероятно, вместе с конфигами, которые не будут автоматом перезаписаны пакетным менеджером с вашего позволения.

Пакетный менеджер отслеживает что и куда каждый отдельный пакет кладёт и способен выпилить это. Что касается конфигов, то /etc и /home/$USER - две помойки, да. Однако, AppImage никак не решает эту проблему, потому что он точно так же пишет конфиги в /home/$USER и/или /etc, если то ему требуется. Иначе куда он по вашему сохраняет ваши же конфиги?

anonymous-angler ()

Неприятно, но всегда есть выход: flatpak, snap, appimage, пакеты от разработчиков, сырцы...

Kolins ★★ ()
Ответ на: комментарий от anonymous-angler

Да, конкретно AppImage проблему не решает. Но я призываю рассмотреть проблему в целом. Управление приложениями вполне можно реализовать так, чтобы это не было помойкой. AppImage - один из шагов в этом направлении, но он довольно противоречивый и у него есть несколько серьезных недостатков.

James_Holden ★★ ()
Ответ на: комментарий от anonymous-angler

Да. В нём не изобратют и не внедряют новые, «болие лудшие» технологии.

Проблема в том, что изобретают и внедряют их в аппстриме. И отказ от них - это зачастую и есть отказ от «ванили».

James_Holden ★★ ()
Ответ на: комментарий от James_Holden

Проблем у ПМ-ов нынешних дистрибутивов ровно две:

  1. Централизованность.
  2. Неспособность иметь в системе несколько версий одного пакета из разных источников.

Эти две проблемы с горем пополам вроде как [недо]решают Gentoo и NixOS, но обе из них нетривиальны в использовании.

anonymous-angler ()
Ответ на: комментарий от James_Holden

Не соглашусь. Технологии, которые действительно лучше - да, они становятся ванилью. Вот только, например, внедрённого Snap в Ubuntu это не касается. Как, например, и внедрённого YaSt в OpenSUSE. Они так и останутся квирками этих дистрибутивов.

anonymous-angler ()

из testing-a

вот тебе чистый testing

sudo apt install qbittorrent
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  geoip-database libgeoip1 libtorrent-rasterbar10
Предлагаемые пакеты:
  geoip-bin libtorrent-rasterbar-dbg qbittorrent-dbg
Следующие НОВЫЕ пакеты будут установлены:
  geoip-database libgeoip1 libtorrent-rasterbar10 qbittorrent
Обновлено 0 пакетов, установлено 4 новых пакетов, для удаления отмечено 0 пакетов, и 17 пакетов не обновлено.
Необходимо скачать 10,3 MB архивов.
После данной операции объём занятого дискового пространства возрастёт на 24,4 MB.
Хотите продолжить? [Д/н]

ну и ссылка для кучи https://packages.debian.org/ru/sid/qbittorrent

anonymous ()
Ответ на: комментарий от anonymous

выпиливание qt

а я наоборот все gtk выпилил, а qt оставил…

anonymous ()
Ответ на: комментарий от anonymous

Вот чистый Testing (aka Bullseye).

root@h:~# cat /etc/apt/sources.list
deb http://deb.debian.org/debian bullseye main contrib non-free
root@h:~# apt update
Hit:1 http://deb.debian.org/debian bullseye InRelease
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
root@h:~# apt install qbittorrent
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package qbittorrent
root@h:~#

И зачем мне выша ссылка на Sid (Unstable)? Это ни разу не Testing.

anonymous-angler ()
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.